Bug 1228555 - cups-browsed logs every minute critical error
Summary: cups-browsed logs every minute critical error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups-filters
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-05 07:44 UTC by Zdenek Kabelac
Modified: 2015-06-30 20:21 UTC (History)
2 users (show)

Fixed In Version: cups-filters-1.0.69-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 20:21:39 UTC


Attachments (Terms of Use)
cups-filters-browsed-sources.patch (5.47 KB, patch)
2015-06-22 11:18 UTC, Tim Waugh
no flags Details | Diff

Description Zdenek Kabelac 2015-06-05 07:44:53 UTC
Description of problem:

cups-browsed turned itself into 1 minute journal timer as it keeps filling it with this message:

cups-browsed[599]: (process:599): GLib-CRITICAL **: Source ID 4294967295 was not found when attempting to remove it


strace before critical log:

recvfrom(11, "ipp://xxx.yyy.redhat.com:631/pri"..., 44, 0, NULL, NULL) = 44
recvfrom(11, "A", 1, 0, NULL, NULL)     = 1
recvfrom(11, "\0\f", 2, 0, NULL, NULL)  = 2
recvfrom(11, "printer-info", 12, 0, NULL, NULL) = 12
recvfrom(11, "\0\6", 2, 0, NULL, NULL)  = 2
recvfrom(11, "secure", 6, 0, NULL, NULL) = 6
recvfrom(11, "\3", 1, 0, NULL, NULL)    = 1
write(2, "\n(process:599): GLib-CRITICAL **"..., 98) = 98
close(11)                               = 0
poll([{fd=6, events=POLLIN}, {fd=7, events=POLLIN}], 2, 59767^CProcess 599 detached


Version-Release number of selected component (if applicable):
cups-filters-1.0.68-1.fc23.x86_64




How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2015-06-16 15:48:23 UTC
Does cups-filters-1.0.69-1.fc23 behave in the same way?

Comment 2 Tim Waugh 2015-06-22 11:18:30 UTC
Created attachment 1041731 [details]
cups-filters-browsed-sources.patch

I just committed a fix upstream (revision 7358) which should fix it.

Comment 3 Fedora Update System 2015-06-22 13:32:55 UTC
cups-filters-1.0.69-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cups-filters-1.0.69-2.fc22

Comment 4 Fedora Update System 2015-06-24 16:06:30 UTC
Package cups-filters-1.0.69-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.69-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10649/cups-filters-1.0.69-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-30 20:21:39 UTC
cups-filters-1.0.69-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.